declare type MapKey<T> = T extends Map<infer P, any> ? P : never;

declare module "queen3d/three" {
  export * from "node_modules/queen3d/three";
  export function loadMesh(url: string, ext: string): Promise<[string, Mesh]> {}
}

declare module "queenjs/framework" {
  export { Events as Bus } from "queenjs";
}

declare type FuncProps<T> = {
  class?: string;
  onClick?: any;
} & T;
